Page MenuHomePhabricator

Test proof of concept for "media" search
Closed, ResolvedPublic

Description

In preparation for a possible new search results interface on Commons, we need to put existing proof of concept/experimental code onto production Commons for testing with live Wikibase Federation and Wikidata data.

Acceptance criteria:

  • Create a new extension accessible by a hidden special page on Commons
  • Restrict access to logged-in users who are on a whitelist maintained by the team

Goals:

  • Define a Protocol for testing
  • Gather Results of tests
  • Gather/define Recommendations

COVID-19 Deployment Criteria

  • Can you roll back this change without lasting impact?
    1. A recovery plan is required as this will help identify our capacity for recovering from the failure
    2. THIS IS A KEY QUESTION, if you can’t answer it, you shouldn’t deploy
  • Is specialized knowledge required to support this change in production? If so, are there multiple people with this knowledge?
  • Is there a way to increase confidence about the correctness of this change?
    1. Reviews (Design, Code, etc)
    2. Testing coverage (unit tests, integration tests)
    3. Manual testing (e.g. Beta, vagrant, docker)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2019, 3:29 PM
This comment was removed by PDrouin-WMF.

(Adding Structured-Data-Backlog project tag as SDC Design / Structured-Data-Design project tags have been archived, and as tasks need to have an active project tag associated so they can be found on a project workboard. Not sure whether to also add Design.)

Ramsey-WMF added a subscriber: Ramsey-WMF.

Repurposing this old ticket for the new work.

Ramsey-WMF renamed this task from Test proof of concept for search to Test proof of concept for "media" search.Mar 24 2020, 9:53 PM
Ramsey-WMF updated the task description. (Show Details)
Ramsey-WMF removed a subscriber: PDrouin-WMF.

Change 563106 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Improved media-specific search

https://gerrit.wikimedia.org/r/563106

CBogen updated the task description. (Show Details)Mar 25 2020, 6:29 PM

Change 563106 merged by Matthias Mullie:
[mediawiki/extensions/WikibaseMediaInfo@master] Improved media-specific search

https://gerrit.wikimedia.org/r/563106

Change 587993 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Refine mediasearch

https://gerrit.wikimedia.org/r/587993

Change 589326 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Optimize media search

https://gerrit.wikimedia.org/r/589326

Change 589625 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Remove text & metadata and optimize grid

https://gerrit.wikimedia.org/r/589625

Change 587993 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Refine mediasearch

https://gerrit.wikimedia.org/r/587993

Change 589326 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Optimize media search

https://gerrit.wikimedia.org/r/589326

Change 589625 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Remove text & metadata and optimize grid

https://gerrit.wikimedia.org/r/589625

Manual testing (e.g. Beta, vagrant, docker)

(0) none of my test users belongs to Media search testers on production wikis, I tested it in betalabs.
(1) Betalbs displays an issue with repeated images: if there is only few results returned in the search - the image will be repeated.

Search for "kitty"

normal searchmedia search

When the search returns only one image (e.g. search criteria "flower rose") - MediaSearch will still repeat the image:


(2) Often the images are not uniformly tiled :
search "tree"

vs

CBogen added a subscriber: CBogen.May 11 2020, 2:03 PM

@Etonkovidova if you give us your test usernames, we can add them to the whitelist so you can test in production.

@Etonkovidova if you give us your test usernames, we can add them to the whitelist so you can test in production.

Thanks! Zilant17 is my test user name in production.

CBogen added a comment.Jun 8 2020, 4:32 PM

Closing because the initial prototype is up and working. Further improvements have their own tickets.

CBogen closed this task as Resolved.Jun 8 2020, 4:33 PM